<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE mapper
        PUBLIC '-//mybatis.org//DTD Mapper 3.0//EN'
        'http://mybatis.org/dtd/mybatis-3-mapper.dtd'>
<mapper namespace='com.pqs9900.mapper.HisData.DataVMapper'>
    <insert id="insertDataV" parameterType="java.util.List" useGeneratedKeys="false" databaseId="Oracle">
        insert into DATA_V(
        <foreach collection="list" item="item" index="index" separator="UNION ALL">
            select
            #{item.timeid},
            #{item.lineid},
            #{item.phasicType},
            #{item.rms},
            #{item.rmsab},
            #{item.rmsbc},
            #{item.rmsca},
            #{item.vuDev},
            #{item.vlDev},
            #{item.freq},
            #{item.freqDev},
            #{item.VUnbalance},
            #{item.VPos},
            #{item.VNeg},
            #{item.VZero},
            #{item.VThd},
            #{item.v1},
            #{item.v2},
            #{item.v3},
            #{item.v4},
            #{item.v5},
            #{item.v6},
            #{item.v7},
            #{item.v8},
            #{item.v9},
            #{item.v10},
            #{item.v11},
            #{item.v12},
            #{item.v13},
            #{item.v14},
            #{item.v15},
            #{item.v16},
            #{item.v17},
            #{item.v18},
            #{item.v19},
            #{item.v20},
            #{item.v21},
            #{item.v22},
            #{item.v23},
            #{item.v24},
            #{item.v25},
            #{item.v26},
            #{item.v27},
            #{item.v28},
            #{item.v29},
            #{item.v30},
            #{item.v31},
            #{item.v32},
            #{item.v33},
            #{item.v34},
            #{item.v35},
            #{item.v36},
            #{item.v37},
            #{item.v38},
            #{item.v39},
            #{item.v40},
            #{item.v41},
            #{item.v42},
            #{item.v43},
            #{item.v44},
            #{item.v45},
            #{item.v46},
            #{item.v47},
            #{item.v48},
            #{item.v49},
            #{item.v50},
            #{item.rmsMax},
            #{item.rmsabMax},
            #{item.rmsbcMax},
            #{item.rmscaMax},
            #{item.vuDevMax},
            #{item.vlDevMax},
            #{item.freqMax},
            #{item.freqDevMax},
            #{item.VUnbalanceMax},
            #{item.VPosMax},
            #{item.VNegMax},
            #{item.VZeroMax},
            #{item.VThdMax},
            #{item.v1Max},
            #{item.v2Max},
            #{item.v3Max},
            #{item.v4Max},
            #{item.v5Max},
            #{item.v6Max},
            #{item.v7Max},
            #{item.v8Max},
            #{item.v9Max},
            #{item.v10Max},
            #{item.v11Max},
            #{item.v12Max},
            #{item.v13Max},
            #{item.v14Max},
            #{item.v15Max},
            #{item.v16Max},
            #{item.v17Max},
            #{item.v18Max},
            #{item.v19Max},
            #{item.v20Max},
            #{item.v21Max},
            #{item.v22Max},
            #{item.v23Max},
            #{item.v24Max},
            #{item.v25Max},
            #{item.v26Max},
            #{item.v27Max},
            #{item.v28Max},
            #{item.v29Max},
            #{item.v30Max},
            #{item.v31Max},
            #{item.v32Max},
            #{item.v33Max},
            #{item.v34Max},
            #{item.v35Max},
            #{item.v36Max},
            #{item.v37Max},
            #{item.v38Max},
            #{item.v39Max},
            #{item.v40Max},
            #{item.v41Max},
            #{item.v42Max},
            #{item.v43Max},
            #{item.v44Max},
            #{item.v45Max},
            #{item.v46Max},
            #{item.v47Max},
            #{item.v48Max},
            #{item.v49Max},
            #{item.v50Max},
            #{item.rmsMin},
            #{item.rmsabMin},
            #{item.rmsbcMin},
            #{item.rmscaMin},
            #{item.vuDevMin},
            #{item.vlDevMin},
            #{item.freqMin},
            #{item.freqDevMin},
            #{item.VUnbalanceMin},
            #{item.VPosMin},
            #{item.VNegMin},
            #{item.VZeroMin},
            #{item.VThdMin},
            #{item.v1Min},
            #{item.v2Min},
            #{item.v3Min},
            #{item.v4Min},
            #{item.v5Min},
            #{item.v6Min},
            #{item.v7Min},
            #{item.v8Min},
            #{item.v9Min},
            #{item.v10Min},
            #{item.v11Min},
            #{item.v12Min},
            #{item.v13Min},
            #{item.v14Min},
            #{item.v15Min},
            #{item.v16Min},
            #{item.v17Min},
            #{item.v18Min},
            #{item.v19Min},
            #{item.v20Min},
            #{item.v21Min},
            #{item.v22Min},
            #{item.v23Min},
            #{item.v24Min},
            #{item.v25Min},
            #{item.v26Min},
            #{item.v27Min},
            #{item.v28Min},
            #{item.v29Min},
            #{item.v30Min},
            #{item.v31Min},
            #{item.v32Min},
            #{item.v33Min},
            #{item.v34Min},
            #{item.v35Min},
            #{item.v36Min},
            #{item.v37Min},
            #{item.v38Min},
            #{item.v39Min},
            #{item.v40Min},
            #{item.v41Min},
            #{item.v42Min},
            #{item.v43Min},
            #{item.v44Min},
            #{item.v45Min},
            #{item.v46Min},
            #{item.v47Min},
            #{item.v48Min},
            #{item.v49Min},
            #{item.v50Min},
            #{item.rmsCp95},
            #{item.rmsabCp95},
            #{item.rmsbcCp95},
            #{item.rmscaCp95},
            #{item.vuDevCp95},
            #{item.vlDevCp95},
            #{item.freqCp95},
            #{item.freqDevCp95},
            #{item.VUnbalanceCp95},
            #{item.VPosCp95},
            #{item.VNegCp95},
            #{item.VZeroCp95},
            #{item.VThdCp95},
            #{item.v1Cp95},
            #{item.v2Cp95},
            #{item.v3Cp95},
            #{item.v4Cp95},
            #{item.v5Cp95},
            #{item.v6Cp95},
            #{item.v7Cp95},
            #{item.v8Cp95},
            #{item.v9Cp95},
            #{item.v10Cp95},
            #{item.v11Cp95},
            #{item.v12Cp95},
            #{item.v13Cp95},
            #{item.v14Cp95},
            #{item.v15Cp95},
            #{item.v16Cp95},
            #{item.v17Cp95},
            #{item.v18Cp95},
            #{item.v19Cp95},
            #{item.v20Cp95},
            #{item.v21Cp95},
            #{item.v22Cp95},
            #{item.v23Cp95},
            #{item.v24Cp95},
            #{item.v25Cp95},
            #{item.v26Cp95},
            #{item.v27Cp95},
            #{item.v28Cp95},
            #{item.v29Cp95},
            #{item.v30Cp95},
            #{item.v31Cp95},
            #{item.v32Cp95},
            #{item.v33Cp95},
            #{item.v34Cp95},
            #{item.v35Cp95},
            #{item.v36Cp95},
            #{item.v37Cp95},
            #{item.v38Cp95},
            #{item.v39Cp95},
            #{item.v40Cp95},
            #{item.v41Cp95},
            #{item.v42Cp95},
            #{item.v43Cp95},
            #{item.v44Cp95},
            #{item.v45Cp95},
            #{item.v46Cp95},
            #{item.v47Cp95},
            #{item.v48Cp95},
            #{item.v49Cp95},
            #{item.v50Cp95},
            #{item.qualityflag}
            from dual
        </foreach>
        )
    </insert>
    
	<insert id="insertDataV" parameterType="java.util.List" databaseId="MariaDB">
        insert into DATA_V ( TIMEID,LINEID,PHASIC_TYPE,RMS,RMSAB,RMSBC,RMSCA,VU_DEV,VL_DEV,FREQ,FREQ_DEV,V_UNBALANCE,V_POS,V_NEG,V_ZERO,V_THD,
        V_1,V_2,V_3,V_4,V_5,V_6,V_7,V_8,V_9,V_10,V_11,V_12,V_13,V_14,
        V_15,V_16,V_17,V_18,V_19,V_20,V_21,V_22,V_23,V_24,V_25,V_26,V_27,V_28,V_29,V_30,V_31,V_32,V_33,V_34,V_35,
        V_36,V_37,V_38,V_39,V_40,V_41,V_42,V_43,V_44,V_45,V_46,V_47,V_48,V_49,V_50,
        RMS_MAX,RMSAB_MAX,RMSBC_MAX,RMSCA_MAX,VU_DEV_MAX,VL_DEV_MAX,FREQ_MAX,FREQ_DEV_MAX,V_UNBALANCE_MAX,V_POS_MAX,V_NEG_MAX,V_ZERO_MAX,V_THD_MAX,
        V_1_MAX,V_2_MAX,V_3_MAX,V_4_MAX,V_5_MAX,V_6_MAX,V_7_MAX,V_8_MAX,V_9_MAX,V_10_MAX,V_11_MAX,V_12_MAX,V_13_MAX,V_14_MAX,
        V_15_MAX,V_16_MAX,V_17_MAX,V_18_MAX,V_19_MAX,V_20_MAX,V_21_MAX,V_22_MAX,V_23_MAX,V_24_MAX,V_25_MAX,V_26_MAX,V_27_MAX,
        V_28_MAX,V_29_MAX,V_30_MAX,V_31_MAX,V_32_MAX,V_33_MAX,V_34_MAX,V_35_MAX,V_36_MAX,V_37_MAX,V_38_MAX,V_39_MAX,V_40_MAX,
        V_41_MAX,V_42_MAX,V_43_MAX,V_44_MAX,V_45_MAX,V_46_MAX,V_47_MAX,V_48_MAX,V_49_MAX,V_50_MAX,
        RMS_MIN,RMSAB_MIN,RMSBC_MIN,RMSCA_MIN,VU_DEV_MIN,VL_DEV_MIN,FREQ_MIN,FREQ_DEV_MIN,V_UNBALANCE_MIN,V_POS_MIN,V_NEG_MIN,V_ZERO_MIN,V_THD_MIN,
        V_1_MIN,V_2_MIN,V_3_MIN,V_4_MIN,V_5_MIN,V_6_MIN,V_7_MIN,V_8_MIN,V_9_MIN,V_10_MIN,V_11_MIN,V_12_MIN,V_13_MIN,V_14_MIN,
        V_15_MIN,V_16_MIN,V_17_MIN,V_18_MIN,V_19_MIN,V_20_MIN,V_21_MIN,V_22_MIN,V_23_MIN,V_24_MIN,V_25_MIN,V_26_MIN,V_27_MIN,
        V_28_MIN,V_29_MIN,V_30_MIN,V_31_MIN,V_32_MIN,V_33_MIN,V_34_MIN,V_35_MIN,V_36_MIN,V_37_MIN,V_38_MIN,V_39_MIN,V_40_MIN,
        V_41_MIN,V_42_MIN,V_43_MIN,V_44_MIN,V_45_MIN,V_46_MIN,V_47_MIN,V_48_MIN,V_49_MIN,V_50_MIN,
        RMS_CP95,RMSAB_CP95,RMSBC_CP95,RMSCA_CP95,VU_DEV_CP95,VL_DEV_CP95,FREQ_CP95,FREQ_DEV_CP95,V_UNBALANCE_CP95,V_POS_CP95,V_NEG_CP95,V_ZERO_CP95,V_THD_CP95,
        V_1_CP95,V_2_CP95,V_3_CP95,V_4_CP95,V_5_CP95,V_6_CP95,V_7_CP95,V_8_CP95,V_9_CP95,V_10_CP95,V_11_CP95,V_12_CP95,V_13_CP95,V_14_CP95,
        V_15_CP95,V_16_CP95,V_17_CP95,V_18_CP95,V_19_CP95,V_20_CP95,V_21_CP95,V_22_CP95,V_23_CP95,V_24_CP95,V_25_CP95,V_26_CP95,V_27_CP95,
        V_28_CP95,V_29_CP95,V_30_CP95,V_31_CP95,V_32_CP95,V_33_CP95,V_34_CP95,V_35_CP95,V_36_CP95,V_37_CP95,V_38_CP95,V_39_CP95,V_40_CP95,
        V_41_CP95,V_42_CP95,V_43_CP95,V_44_CP95,V_45_CP95,V_46_CP95,V_47_CP95,V_48_CP95,V_49_CP95,V_50_CP95, QUALITYFLAG ) values 
		<foreach collection="list" item="item" index="index" open="("
				 separator="),(" close=")">
            #{item.timeid},
            #{item.lineid},
            #{item.phasicType},
            #{item.rms},
            #{item.rmsab},
            #{item.rmsbc},
            #{item.rmsca},
            #{item.vuDev},
            #{item.vlDev},
            #{item.freq},
            #{item.freqDev},
            #{item.VUnbalance},
            #{item.VPos},
            #{item.VNeg},
            #{item.VZero},
            #{item.VThd},
            #{item.v1},
            #{item.v2},
            #{item.v3},
            #{item.v4},
            #{item.v5},
            #{item.v6},
            #{item.v7},
            #{item.v8},
            #{item.v9},
            #{item.v10},
            #{item.v11},
            #{item.v12},
            #{item.v13},
            #{item.v14},
            #{item.v15},
            #{item.v16},
            #{item.v17},
            #{item.v18},
            #{item.v19},
            #{item.v20},
            #{item.v21},
            #{item.v22},
            #{item.v23},
            #{item.v24},
            #{item.v25},
            #{item.v26},
            #{item.v27},
            #{item.v28},
            #{item.v29},
            #{item.v30},
            #{item.v31},
            #{item.v32},
            #{item.v33},
            #{item.v34},
            #{item.v35},
            #{item.v36},
            #{item.v37},
            #{item.v38},
            #{item.v39},
            #{item.v40},
            #{item.v41},
            #{item.v42},
            #{item.v43},
            #{item.v44},
            #{item.v45},
            #{item.v46},
            #{item.v47},
            #{item.v48},
            #{item.v49},
            #{item.v50},
            #{item.rmsMax},
            #{item.rmsabMax},
            #{item.rmsbcMax},
            #{item.rmscaMax},
            #{item.vuDevMax},
            #{item.vlDevMax},
            #{item.freqMax},
            #{item.freqDevMax},
            #{item.VUnbalanceMax},
            #{item.VPosMax},
            #{item.VNegMax},
            #{item.VZeroMax},
            #{item.VThdMax},
            #{item.v1Max},
            #{item.v2Max},
            #{item.v3Max},
            #{item.v4Max},
            #{item.v5Max},
            #{item.v6Max},
            #{item.v7Max},
            #{item.v8Max},
            #{item.v9Max},
            #{item.v10Max},
            #{item.v11Max},
            #{item.v12Max},
            #{item.v13Max},
            #{item.v14Max},
            #{item.v15Max},
            #{item.v16Max},
            #{item.v17Max},
            #{item.v18Max},
            #{item.v19Max},
            #{item.v20Max},
            #{item.v21Max},
            #{item.v22Max},
            #{item.v23Max},
            #{item.v24Max},
            #{item.v25Max},
            #{item.v26Max},
            #{item.v27Max},
            #{item.v28Max},
            #{item.v29Max},
            #{item.v30Max},
            #{item.v31Max},
            #{item.v32Max},
            #{item.v33Max},
            #{item.v34Max},
            #{item.v35Max},
            #{item.v36Max},
            #{item.v37Max},
            #{item.v38Max},
            #{item.v39Max},
            #{item.v40Max},
            #{item.v41Max},
            #{item.v42Max},
            #{item.v43Max},
            #{item.v44Max},
            #{item.v45Max},
            #{item.v46Max},
            #{item.v47Max},
            #{item.v48Max},
            #{item.v49Max},
            #{item.v50Max},
            #{item.rmsMin},
            #{item.rmsabMin},
            #{item.rmsbcMin},
            #{item.rmscaMin},
            #{item.vuDevMin},
            #{item.vlDevMin},
            #{item.freqMin},
            #{item.freqDevMin},
            #{item.VUnbalanceMin},
            #{item.VPosMin},
            #{item.VNegMin},
            #{item.VZeroMin},
            #{item.VThdMin},
            #{item.v1Min},
            #{item.v2Min},
            #{item.v3Min},
            #{item.v4Min},
            #{item.v5Min},
            #{item.v6Min},
            #{item.v7Min},
            #{item.v8Min},
            #{item.v9Min},
            #{item.v10Min},
            #{item.v11Min},
            #{item.v12Min},
            #{item.v13Min},
            #{item.v14Min},
            #{item.v15Min},
            #{item.v16Min},
            #{item.v17Min},
            #{item.v18Min},
            #{item.v19Min},
            #{item.v20Min},
            #{item.v21Min},
            #{item.v22Min},
            #{item.v23Min},
            #{item.v24Min},
            #{item.v25Min},
            #{item.v26Min},
            #{item.v27Min},
            #{item.v28Min},
            #{item.v29Min},
            #{item.v30Min},
            #{item.v31Min},
            #{item.v32Min},
            #{item.v33Min},
            #{item.v34Min},
            #{item.v35Min},
            #{item.v36Min},
            #{item.v37Min},
            #{item.v38Min},
            #{item.v39Min},
            #{item.v40Min},
            #{item.v41Min},
            #{item.v42Min},
            #{item.v43Min},
            #{item.v44Min},
            #{item.v45Min},
            #{item.v46Min},
            #{item.v47Min},
            #{item.v48Min},
            #{item.v49Min},
            #{item.v50Min},
            #{item.rmsCp95},
            #{item.rmsabCp95},
            #{item.rmsbcCp95},
            #{item.rmscaCp95},
            #{item.vuDevCp95},
            #{item.vlDevCp95},
            #{item.freqCp95},
            #{item.freqDevCp95},
            #{item.VUnbalanceCp95},
            #{item.VPosCp95},
            #{item.VNegCp95},
            #{item.VZeroCp95},
            #{item.VThdCp95},
            #{item.v1Cp95},
            #{item.v2Cp95},
            #{item.v3Cp95},
            #{item.v4Cp95},
            #{item.v5Cp95},
            #{item.v6Cp95},
            #{item.v7Cp95},
            #{item.v8Cp95},
            #{item.v9Cp95},
            #{item.v10Cp95},
            #{item.v11Cp95},
            #{item.v12Cp95},
            #{item.v13Cp95},
            #{item.v14Cp95},
            #{item.v15Cp95},
            #{item.v16Cp95},
            #{item.v17Cp95},
            #{item.v18Cp95},
            #{item.v19Cp95},
            #{item.v20Cp95},
            #{item.v21Cp95},
            #{item.v22Cp95},
            #{item.v23Cp95},
            #{item.v24Cp95},
            #{item.v25Cp95},
            #{item.v26Cp95},
            #{item.v27Cp95},
            #{item.v28Cp95},
            #{item.v29Cp95},
            #{item.v30Cp95},
            #{item.v31Cp95},
            #{item.v32Cp95},
            #{item.v33Cp95},
            #{item.v34Cp95},
            #{item.v35Cp95},
            #{item.v36Cp95},
            #{item.v37Cp95},
            #{item.v38Cp95},
            #{item.v39Cp95},
            #{item.v40Cp95},
            #{item.v41Cp95},
            #{item.v42Cp95},
            #{item.v43Cp95},
            #{item.v44Cp95},
            #{item.v45Cp95},
            #{item.v46Cp95},
            #{item.v47Cp95},
            #{item.v48Cp95},
            #{item.v49Cp95},
            #{item.v50Cp95},
            #{item.qualityflag}
        </foreach>
	</insert>
</mapper>